# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'carrierwave/mongoid/file/seek/version'

Gem::Specification.new do |spec|
  spec.name          = "carrierwave-mongoid-file-seek"
  spec.version       = Carrierwave::Mongoid::File::Seek::VERSION
  spec.authors       = ["Erwin Schens"]
  spec.email         = ["erwinschens@uni-koblenz.de"]
  spec.summary       = %q{This gem enables to search inside mounted uploaded files which are stored in MongoDB using GridFS.}
  spec.description   = %q{This gem enables to search inside mounted uploaded files which are stored in MongoDB using GridFS. It reads the BSON and searches to a given offset.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
end
